﻿@model Avira.MarketingResearch.Model.ViewModels.InfographicsViewModel

@{
    ViewBag.Title = "Create Update";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<script src="~/ckeditor/ckeditor.js"></script>
<div id="content" class="content">

    @if (Model.Id == Guid.Empty)
    {
        <h2>
            Import Image
        </h2>
    }
    else
    {
        <h2>
            Edit Image
        </h2>
    }

    @if (ViewBag.Message != null)
    {
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }
    <div class="section-container section-with-top-border">

        @using (Html.BeginForm("createupdate", "Infographics", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {

            <div class="form-horizontal">

                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.Id)
                @*@Html.HiddenFor(model => model.ImagePath)*@

                <div class="form-group">
                    <div class="col-md-2">
                        @Html.LabelFor(model => model.ProjectId, "Project", htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                    </div>
                    <div class="col-md-5">
                        @if (Model.Id == Guid.Empty)
                        {
                            @Html.DropDownListFor(model => model.ProjectId, (SelectList)(ViewBag.ProjectList), "Please select", htmlAttributes: new { @class = "form-control" })
                        }
                        else
                        {
                            @Html.HiddenFor(model => model.ProjectId)
                            @Html.DropDownListFor(model => model.ProjectId, (SelectList)(ViewBag.ProjectList), "Please select", htmlAttributes: new { @class = "form-control", @disabled = "disabled" })

                        }
                        @Html.ValidationMessageFor(model => model.ProjectId, null, new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-2">
                        @Html.LabelFor(model => model.LookupCategoryId, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                    </div>
                    <div class="col-md-5">
                        @Html.DropDownListFor(model => model.LookupCategoryId, (SelectList)(ViewBag.CategoryList), "Please select", htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.LookupCategoryId, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-2">
                        @Html.LabelFor(model => model.InfogrTitle, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                    </div>
                    <div class="col-md-7">

                        @Html.EditorFor(model => model.InfogrTitle, new { htmlAttributes = new { @class = "form-control", maxlength = "256" } })
                        @Html.ValidationMessageFor(model => model.InfogrTitle, "", new { @class = "text-danger" })

                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-2">
                        @Html.LabelFor(model => model.SequenceNo, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                    </div>
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.SequenceNo, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.SequenceNo, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.ImageFile, "Choose Image", htmlAttributes: new { @class = "col-md-2" })
                    <div class="col-md-7">

                        <input type="file" name="ImageFile" />
                        <img src="@Model.ImagePath" height="50" width="100" alt="">
                        <br />
                        @Html.ValidationMessageFor(model => model.ImageFile, null, new { @class = "text-danger" })
                        @Html.HiddenFor(Model => Model.ImageName)
                        @*@Html.HiddenFor(Model => Model.ImagePath)
                            @Html.HiddenFor(Model => Model.ImageActualName)*@
                        @*<a target="_blank" href="@String.Concat(ViewBag.ApiBaseURL,Model.ImagePath)">@Model.ImageActualName</a>*@

                    </div>
                </div>




                <div class="form-group">
                    @Html.LabelFor(model => model.InfogrDescription, htmlAttributes: new { @class = "col-md-2" })
                    <div class="col-md-7">
                        @Html.TextAreaFor(model => model.InfogrDescription, htmlAttributes: new { @id="ChkEditerId", @class = "form-control"})

                        <script>
                            CKEDITOR.replace('InfogrDescription', {
                                height: 40,
                                // Define the toolbar groups as it is a more accessible solution.
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },
                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                // Remove the redundant buttons from toolbar groups defined above.
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });


                            function CKupdate() {
                                for (instance in CKEDITOR.instances) {
                                    CKEDITOR.instances[instance].updateElement();
                                    CKEDITOR.instances[instance].setData('');
                                }
                            }
                        </script>
                    </div>


                </div>


                <div class="form-group">
                    <div class="col-md-2"></div>
                    <div class="col-md-offset-5">
                        <input type="submit" value="Save" class="btn btn-rounded btn-grey m-b-5 width-100" />
                        @if (Model.Id == Guid.Empty && Model.LookupCategoryId==null)
                        {
                            <button type="reset" id="btnclear" class="btn btn-rounded btn-grey m-b-5 width-100">Reset</button>
                        }
                        <a href="~/Infographics/Index?ProjectId=@ViewBag.ProjectId&CategoryId=@ViewBag.CategoryId" class="btn btn-rounded btn-inverse m-b-5 width-100">Back to List </a>
                    </div>
                </div>
            </div>

        }
    </div> <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>
<script>
    $("#btnclear").click(function () {
        CKupdate();

        this.form.updateElement();

    });
</script>
<script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
<script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>